## dunelegacy 0.99.4

=== debian/changelog ===
dunelegacy (0.99.4-0ddebs1~debian13) trixie; urgency=medium

  * New Release update

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 14 Dec 2025 02:40:15 +0100

dunelegacy (0.99.3-0ddebs1) unstable; urgency=medium

  * New Release update

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 13 Dec 2025 23:58:52 +0100

dunelegacy (0.99.2-0ddebs1) unstable; urgency=medium

  * New upstream update
  * data package is installed in /usr/share/games/dunelegacy instead of
    /usr/share/DuneLegacy

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 06 Dec 2025 15:17:49 +0100

dunelegacy (0.96.4-0ddebs10) unstable; urgency=medium

  * Updated to standards-version 4.6.2
  * use debhelper compatibility v13

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Wed, 24 Apr 2024 15:27:42 +0200

dunelegacy (0.96.4-0ddebs9) unstable; urgency=medium

  * use xz compression until debian 13 is released

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 30 Apr 2023 23:38:26 +0200

dunelegacy (0.96.4-0ddebs8) unstable; urgency=medium

  * update to standards-version 4.6.0.1
  * make use of debhelper-compat (= 12) dependency, and remove
    debian/compat file

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 02 May 2022 21:21:28 +0200

dunelegacy (0.96.4-0ddebs7) unstable; urgency=medium

  * updated to standards-version 4.5.0

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 14 Apr 2020 21:32:30 +0200

dunelegacy (0.96.4-0ddebs6) unstable; urgency=medium

  * debian/rules : use flto
  * configure.ac : change CFLAGS, update SDL2 and SDL_mixer detectio and link
  * big patch to get correct include path for SDL2

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 26 Nov 2019 02:56:39 +0100

dunelegacy (0.96.4-0ddebs5) unstable; urgency=medium

  * update to standard version to 4.1.4
  * patch for compiling with SDL2_Mixer < 2.0.1 and > 2.0.2

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Thu, 13 Sep 2018 19:14:00 +0200

dunelegacy (0.96.4-0ddebs4) unstable; urgency=medium

  * Update package name in case of a dist upgrade

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 21 Jul 2018 17:19:55 +0200

dunelegacy (0.96.4-0ddebs3) unstable; urgency=medium

  * fixed some lintian errors
  * Created a data package to save some space

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Fri, 02 Feb 2018 14:00:01 +0100

dunelegacy (0.96.4-0ddebs2) unstable; urgency=medium

  * Added an icon
  * Enhance French translation
  * Some docs were not packaged
  * use autoreconf instead of autotools-dev
  * compile using flto

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Wed, 26 Jul 2017 13:51:03 +0200

dunelegacy (0.96.4-0ddebs1) unstable; urgency=medium

  * New upstream release
  * Added watchfile
  * Updated dependencies

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 02 Apr 2017 15:46:38 +0200

dunelegacy (0.96.3-0ddebs2) unstable; urgency=medium

  * updated to standards-version 3.9.7

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 25 Jul 2016 12:31:02 +0200

dunelegacy (0.96.3-0ddebs1) unstable; urgency=medium

  * updated debian packaging

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Fri, 06 May 2016 02:45:44 +0200
