=== debian/control ===
Source: dunelegacy
Section: games
Priority: optional
Maintainer: Richard Schaller <richard.schaller@gmx.de>
Build-Depends:
 debhelper-compat (= 13),
 libsdl2-dev,
 libsdl2-mixer-dev,
 libcppunit-dev,
 libsdl2-ttf-dev,
 libcurl4-gnutls-dev,
 cmake,
 libminiupnpc-dev,
 libdiscord-rpc-dev,
 pkgconf
Standards-Version: 4.6.2
Homepage: https://sourceforge.net/projects/dunelegacy
Rules-Requires-Root: no

Package: dunelegacy
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dunelegacy-data
Description: Dune II clone
 Clone of Dune II needs the original Dune II graphics, sounds and scenario
 data (PAK-files in the Dune II installation directory). Dune Legacy tries to be
  as similar as possible to the original gameplay but to integrate user
  interface features most modern realtime-strategy games have, e.g. selecting
  multiple units.
 .
 Lead one of three interplanetary houses, Atreides, Harkonnen or Ordos, in an
 attempt to harvest the largest amount of spice from the sand dunes. Exchange
 your spice stockpiles for credits through refinement and build an army capable
 of thwarting attempts of the other houses to stop your harvesting!

Package: dunelegacy-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Data files for dunelegacy
 dunelegacy data files
