=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -flto
export DEB_CXXFLAGS_MAINT_APPEND  = -flto
export DEB_LDFLAGS_MAINT_APPEND  = -flto

%:
	dh $@  --buildsystem=cmake --builddirectory=build

#override_dh_autoreconf:
#	AUTOMAKE="automake --foreign" autoreconf -is
