=== debian/watch ===
version=4
opts="compression=xz,repack"
http://sf.net/dunelegacy/dunelegacy-@ANY_VERSION@-src@ARCHIVE_EXT@ \
debian uupdate
