## dunelegacy 0.99.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -200,6 +200,7 @@
         Network/MetaServerClient.cpp
         Network/VersionChecker.cpp
         Network/UPnPManager.cpp
+        Network/StunClient.cpp
 
         # Players
         players/Player.cpp
@@ -417,4 +418,3 @@
 # Data directory handling
 set(DATA_DIR "${CMAKE_SOURCE_DIR}/data")
 
-if(APPLE)
