=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,3 @@
 %:
 	dh $@  --buildsystem=cmake --builddirectory=build
 
-#override_dh_autoreconf:
-#	AUTOMAKE="automake --foreign" autoreconf -is
